
import { switchMap } from 'rxjs/operators';
import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';

import { Organization } from 'src/app/models/organization.model';
import { OrganizationService } from 'src/app/services/organization.service';

@Component({
  selector: 'app-organization-detail',
  templateUrl: './organization-detail.component.html',
  styleUrls: ['./organization-detail.component.scss'],
})
export class OrganizationDetailComponent implements OnInit {

  organization: Organization;
  title: string;

  constructor(
    private _route: ActivatedRoute,
    private _organizationService: OrganizationService,
  ) {
  }

  ngOnInit(): void {
    this.title = this._route.snapshot.data.title;
    this._route.paramMap.pipe(
      switchMap((params: ParamMap) => this._organizationService.findById(params.get('id'))))
      .subscribe((organization: Organization) => this.organization = organization);
  }
}
