import { Component, OnInit, Input } from '@angular/core';
import { Router } from '@angular/router';
import { NavigationHistoryService } from '../../services';
import { IPageHeaderInfo } from '../../models/page.model';

@Component({
  selector: 'app-page-header',
  templateUrl: './page-header.component.html',
  styleUrls: ['./page-header.component.scss'],
})
export class PageHeaderComponent implements OnInit {

  constructor(
    private _navigationHistoryService: NavigationHistoryService,
    private _router: Router,
  ) { }

  @Input() pageInfo: IPageHeaderInfo;
  @Input() customGoToPreviousPage: any;
  @Input() hideBackButton: boolean;

  ngOnInit() {
  }

  goToPreviousPage() {
    if (this.customGoToPreviousPage) {
      this.customGoToPreviousPage();
    } else {
      const index = 1; // Start to retrieve the previous element
      let url = this._navigationHistoryService.getFromLast(index);

      // If url is null then redirect to home page
      if (url == null) {
        url = '/';
      }
      this._router.navigateByUrl(url);
    }
  }

}
